# ScanbotSdkRecognizeOperations class

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Methods

recognizeCheckOnImage(String imageUri) → Future<CheckScanResult>
recognizeGenericDocumentOnImage(String imageUri) → Future<GenericDocumentRecognizerResult>
recognizeHealthInsuranceCardOnImage(String imageUri) → Future<HealthInsuranceCardRecognitionResult>
recognizeMedicalCertificateOnImage(String imageUri) → Future<MedicalCertificateResult>
recognizeMrzOnImage(String imageUri) → Future<MrzScanningResult>